services:
  # Staff Data Panel Controller
  Orangear\BusinessIntelligence\Api\Controller\Panel\StaffDataPanelController:
    class: Orangear\BusinessIntelligence\Api\Controller\Panel\StaffDataPanelController
    arguments:
      - '@prooph_service_bus.orangear_business_intelligence_panel_query_bus'
      - '@security.token_storage'

  # Query handler
  Orangear\BusinessIntelligence\Infrastructure\Persistence\Doctrine\QueryHandler\GetStaffDataPanelQueryHandler:
    class: Orangear\BusinessIntelligence\Infrastructure\Persistence\Doctrine\QueryHandler\GetStaffDataPanelQueryHandler
    arguments:
      - '@doctrine.orm.default_entity_manager'